Page MenuHomePhabricator

Undeploy UserMerge Extension from WMF production
Closed, ResolvedPublic

Description

Per the UserMerge: Code Stewardship Review discussion, the UserMerge extension is no longer needed and is being sunset.

There are no known dependencies. @Legoktm please advise if there are things to consider while undeploying it.

Event Timeline

Jrbranaa triaged this task as Medium priority.Feb 14 2019, 12:05 AM
Jrbranaa created this task.

We should probably figure a way to keep Special:Log/usermerge entries even after the extension is undeployed, because this feature was used and it keeps important data (specially on Wikivoyages). Thanks.

When done, the extension review instructions should probably be updated.

Good catch. Will create task to track.

We should probably figure a way to keep Special:Log/usermerge entries even after the extension is undeployed, because this feature was used and it keeps important data (specially on Wikivoyages). Thanks.

I made a subtask for this.

Change 745978 had a related patch set uploaded (by Majavah; author: Majavah):

[mediawiki/extensions/CentralAuth@master] Drop support for global user merges

https://gerrit.wikimedia.org/r/745978

Change 745978 merged by jenkins-bot:

[mediawiki/extensions/CentralAuth@master] Drop support for global user merges

https://gerrit.wikimedia.org/r/745978

Change 752150 had a related patch set uploaded (by Majavah; author: Majavah):

[mediawiki/extensions/WikimediaMessages@master] Add placeholders for UserMerge log entries

https://gerrit.wikimedia.org/r/752150

Change 752150 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Add placeholders for UserMerge log entries

https://gerrit.wikimedia.org/r/752150

Change 754998 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/mediawiki-config@master] Drop CentralAuthUserMerge log channel

https://gerrit.wikimedia.org/r/754998

Change 754999 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/mediawiki-config@master] Disable UserMerge

https://gerrit.wikimedia.org/r/754999

Change 754998 merged by jenkins-bot:

[operations/mediawiki-config@master] Drop CentralAuthUserMerge log channel

https://gerrit.wikimedia.org/r/754998

Mentioned in SAL (#wikimedia-operations) [2022-01-19T17:42:43Z] <taavi@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:754998|Drop CentralAuthUserMerge log channel (T216089)]] (duration: 01m 05s)

Change 754999 merged by jenkins-bot:

[operations/mediawiki-config@master] Disable UserMerge

https://gerrit.wikimedia.org/r/754999

Mentioned in SAL (#wikimedia-operations) [2022-01-19T17:46:59Z] <taavi@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:754999|Disable UserMerge (T216089)]] (duration: 00m 54s)

Change 755532 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/mediawiki-config@master] Undeploy UserMerge (1)

https://gerrit.wikimedia.org/r/755532

Change 755533 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/mediawiki-config@master] Undeploy UserMerge (2)

https://gerrit.wikimedia.org/r/755533

Change 755534 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/mediawiki-config@master] Undeploy UserMerge (3)

https://gerrit.wikimedia.org/r/755534

Change 755535 had a related patch set uploaded (by Majavah; author: Majavah):

[mediawiki/tools/release@master] Stop branching UserMerge

https://gerrit.wikimedia.org/r/755535

Change 755532 merged by jenkins-bot:

[operations/mediawiki-config@master] Undeploy UserMerge (1)

https://gerrit.wikimedia.org/r/755532

Mentioned in SAL (#wikimedia-operations) [2022-01-25T09:59:01Z] <taavi@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:755532|Undeploy UserMerge (1) (T216089)]] (duration: 00m 49s)

Change 755533 merged by jenkins-bot:

[operations/mediawiki-config@master] Undeploy UserMerge (2)

https://gerrit.wikimedia.org/r/755533

Mentioned in SAL (#wikimedia-operations) [2022-01-25T10:01:58Z] <taavi@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:755533|Undeploy UserMerge (2) (T216089)]] (duration: 00m 49s)

Change 755534 merged by jenkins-bot:

[operations/mediawiki-config@master] Undeploy UserMerge (3)

https://gerrit.wikimedia.org/r/755534

Mentioned in SAL (#wikimedia-operations) [2022-01-25T10:04:57Z] <taavi@deploy1002> Synchronized wmf-config/extension-list: Config: [[gerrit:755534|Undeploy UserMerge (3) (T216089)]] (duration: 00m 48s)

Change 755535 merged by jenkins-bot:

[mediawiki/tools/release@master] Stop branching UserMerge

https://gerrit.wikimedia.org/r/755535